UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo Class Reference
Inheritance diagram for com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo:

## Public Member Functions
| UMQIndexAssignmentEligibilityStartCompleteInfo (int flags, long queueId, String queue) throws LBMEInvalException
int | flags ()
long | queueId ()
String | queueName ()

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo.UMQIndexAssignmentEligibilityStartCompleteInfo | ( | int | flags,
|  | long | queueId,
|  | String | queue
| ) |  | throws LBMEInvalException

Creates a UMQIndexAssignmentEligibilityStartCompleteInfo object and initializes fields to the supplied values.

Parameters

  flags | Informational flags.
  queueId | Queue Id of the queue.
  queue | The name of the queue the receiver is now eligible to receive new index assignments from.

Exceptions

  LBMEInvalException | An invalid parameter was specified.

Since
  UMQ 2.1

References com.latencybusters.lbm.UMQQueueInfo.flags(), and com.latencybusters.lbm.UMQQueueInfo.queueId().

## Member Function Documentation

int com.latencybusters.lbm.UMQQueueInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

Since
  UME 3.0

Referenced by com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceName(), com.latencybusters.lbm.UMQQueueInfo.queueName(), com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo.UMQContextEventRegistrationCompleteInfo(), com.latencybusters.lbm.UMQContextEventRegistrationSuccessInfo.UMQContextEventRegistrationSuccessInfo(), com.latencybusters.lbm.UMQDeregistrationCompleteInfo.UMQDeregistrationCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignedInfo.UMQIndexAssignedInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo.UMQIndexAssignmentEligibilityStartCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo.UMQIndexAssignmentEligibilityStopCompleteInfo(), com.latencybusters.lbm.UMQIndexReleasedInfo.UMQIndexReleasedInfo(), com.latencybusters.lbm.UMQQueueIndexInfo.UMQQueueIndexInfo(), com.latencybusters.lbm.UMQQueueInfo.UMQQueueInfo(), com.latencybusters.lbm.UMQQueueInstanceInfo.UMQQueueInstanceInfo(), com.latencybusters.lbm.UMQRegistrationCompleteInfo.UMQRegistrationCompleteInfo(), com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo(), and com.latencybusters.lbm.UMQSourceEventRegistrationCompleteInfo.UMQSourceEventRegistrationCompleteInfo().

long com.latencybusters.lbm.UMQQueueInfo.queueId | ( |  | ) |
| inherited

Get Queue Id for the queue associated with this info object.

Returns
  Queue Id for the queue associated with this info object.

Since
  UME 3.0

Referenced by com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceName(), com.latencybusters.lbm.UMQQueueInfo.queueName(), com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo.UMQContextEventRegistrationCompleteInfo(), com.latencybusters.lbm.UMQContextEventRegistrationSuccessInfo.UMQContextEventRegistrationSuccessInfo(), com.latencybusters.lbm.UMQDeregistrationCompleteInfo.UMQDeregistrationCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignedInfo.UMQIndexAssignedInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo.UMQIndexAssignmentEligibilityStartCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo.UMQIndexAssignmentEligibilityStopCompleteInfo(), com.latencybusters.lbm.UMQIndexReleasedInfo.UMQIndexReleasedInfo(), com.latencybusters.lbm.UMQQueueIndexInfo.UMQQueueIndexInfo(), com.latencybusters.lbm.UMQQueueInfo.UMQQueueInfo(), com.latencybusters.lbm.UMQQueueInstanceInfo.UMQQueueInstanceInfo(), com.latencybusters.lbm.UMQRegistrationCompleteInfo.UMQRegistrationCompleteInfo(), com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo(), and com.latencybusters.lbm.UMQSourceEventRegistrationCompleteInfo.UMQSourceEventRegistrationCompleteInfo().

String com.latencybusters.lbm.UMQQueueInfo.queueName | ( |  | ) |
| inherited

Get Queue name for the queue associated with this info object.

Returns
  Queue name for the queue associated with this info object.

Since
  UME 3.0

References com.latencybusters.lbm.UMQQueueInfo.flags(), and com.latencybusters.lbm.UMQQueueInfo.queueId().

The documentation for this class was generated from the following file:

- UMQIndexAssignmentEligibilityStartCompleteInfo.java